///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	eTSlide.h 
//	SUMMARY:	Interface for slide-show annotations to eText documents
//	SUPERCLASS:	Object
//	INTERFACE:	None
//	PROTOCOLS:	<DocNotification, Annotation, Tool, ASCIISupport>
//	AUTHOR:		Rohit Khare
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//	DESCRIPTION
//		Documentation?! We don't need no steenkin' documentation!
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	03/10/94:	Created. Influenced by the design of eTAudio.
///////////////////////////////////////////////////////////////////////////////

//#import "eTSlideUI.h"
#import "eTextKernel.h"

@interface eTSlide:Object <DocNotification, Annotation, Tool, ASCIISupport>
{
    id				theImage;
	id				theSound;
    id				eTextObj;
	id				etDoc;
	id				etSideUI;
	NXAtom			theName;
	NXImage			*icon;
	NXAtom			slideDir;
	int				counter;
	BOOL 			isLinked;
}

- resetName:(NXAtom)string;
- resetPath:(NXAtom)string;
- image;
- (NXAtom) theName;
- doc;
- (BOOL)isLinked;
- setLinked:(BOOL)l;
- click:sender;
- doubleClick:sender;
- commandClick:sender;
@end